# Copyright © 2003 Sun Microsystems, Inc. All rights reserved.
#
# U.S. Government Rights - Commercial software. Government users
# are subject to the Sun Microsystems, Inc. standard license
# agreement and applicable provisions of the FAR and its
# supplements.
#
# Use is subject to license terms.
#
# This distribution may include materials developed by third
# parties.Sun, Sun Microsystems, the Sun logo and Java are
# trademarks or registered trademarks of Sun Microsystems, Inc.
# in the U.S. and other countries.
#
# Copyright © 2003 Sun Microsystems, Inc. Tous droits réservés.
#
# L'utilisation est soumise aux termes du contrat de licence.
#
# Cette distribution peut comprendre des composants développés
# par des tierces parties.
#
# Sun, Sun Microsystems, le logo Sun et Java sont des marques de
# fabrique ou des marques déposées de Sun Microsystems, Inc. aux
# Etats-Unis et dans d'autres pays.

iplanet-am-federation-service-description=Federation Service.
u21=Federation Info
u22=Provider Session Info 

# Account Management
actmgmt-provider-id-is-null=Provider Id is null
actmgmt-name-is-null=Opaque Handle is null
actmgmt-name-space-is-null=Name Space is null
actmgmt-name-identifier-is-null=Name Identifier is null
actmgmt-account-fed-info-object-is-null=Account Federation Info Object is null
actmgmt-account-fed-info-key-object-is-null=Account Federation Info Key Object is null
actmgmt-fed-info-modified-in-ids=Account Federation Info is modified in iDS
actmgmt-nameIdentifierType-invalid=Invalid Name Identifier Type
actmgmt-fed-info-not-found=Account Federation Info not Found
actmgmt-multiple-uid-matched=Multiple UID Matched
actmgmt-uid-not-matched=UID Not Matched
actmgmt-user-not-found=User not found
# Account Management
    

termination-soap-send-failed=Failed in sending SOAP request to remote end
termination-no-provider=Termination cannot proceed. Provider not found.
termination-handle-creation-failed=Failed to get Termination Handler
logout-profile-not-supported=Logout Profile not supported. Please verify metadata
logout-failed-manager=Logout failed. Manager instance not available
logout-redirect-failed=Logout failed to redirect. URL not proper
logout-token-invalid=SSOToken not valid. Logout failed. Redirect toauthentication
logout-failed=Single Logout failed. Please contact system administrator
logout-request-improper=Logout request not formed properly. Cannot proceed further with request processing.
termination-invalid-signature=Federation Termination request signature verification failed. Cannot process further
metadata-error-check=Error in metadata setting. Please check other provider, local configuration setting
contact-admin=Please contact system administrator and report the problem

//Alliance Management
alliance_management_unknown_exception=Internal Error.
alliance_management_org_exception=Internal Error.
alliance_management_sms_exception=Internal Error.
alliance_management_cotname_invalid=Invalid Authentication Domain Name.
alliance_management_sso_exception=Internal Error.
alliance_management_localconfig_exception=Invalid Data.
alliance_management_providername_invalid=Invalid Provider Name.
alliance_management_entityid_invalid=Invalid Entity Id.
alliance_management_noproviders_exception=No Providers are Found.
alliance_management_invalid_input_exception=Invalid Input.
alliance_management_providerid_invalid=Invalid Provider ID.
alliance_management_provider_succinctid_invalid=Invalid Succinct ID.
alliance_management_provider_metaalias_invalid=Invalid MetaAlias.
alliance_management_service_initiation_exception=OrgDN is Invalid or service not configured properly for Org.
alliance_management_coreservice_config_invalid=Core Service Not Configured Properly.
alliance_management_authdomain_exists=Authentication Domain already exists. Use modify for changes.
alliance_management_authdomain_creation_exception=Authentication Domain could not be created. 
alliance_management_authdomain_deletion_exception=Authentication Domain could not be deleted. 
alliance_management_authdomain_modification_exception=Authentication Domain could not be modified. 
alliance_management_authdomain_retrieval_exception=Authentication Domain could not be retrieved. 
alliance_management_provider_exists=Provider already exists. Use modify for changes.
alliance_management_provider_creation_exception=Provider could not be created.
alliance_management_provider_deletion_exception=Provider could not be deleted.
alliance_management_provider_modification_exception=Provider could not be modified.
alliance_management_provider_retrieval_exception=Provider could not be retrieved.
alliance_management_entity_exists=Entity already exists. Use modify for changes.
cotlist_invalid=Invalid List Of Authentication Domains.
trustedproviderlist_invalid=Invalid List of Trusted Providers.
COT_Created = Created Authentication Domain : 
COT_Deleted = Deleted Authentication Domain :
COT_Modified = Modified Authentication Domain :
RemoteProvider_Created = Created Remote Provider : 
HostedProvider_Created = Created Hosted Provider : 
Provider_Deleted = Deleted Provider : 
Entity_Deleted = Deleted Entity : 
Provider_Modified = Modified Provider : 
localconfig_invalid = Both IsPassive and ForceAuth cannot be true
//Alliance Management

//protocols
introduction-no-provider-id=Provider Id not in request, cannot reset preferred idp
introduction-no-redirect-url=Redirect URL not specified
invalid-redirect-url-scheme=Invalid Redirect URL scheme
preferred-idp-cookie-not-found=Preferred IDP Cookie Not found
introduction-invalid-providerid-property-file=Invalid Property file. No providerid code.
introduction-invalid-property-file=Property File invalid
registration-failed-sp-name-identifier=Failed to create SPProvidedNameIdentifier
registration-failed-remote=Error in processing Name Registration at IDP
registration-failed-send-remote=Error in processing Name Registration at IDP
registration-failed-local=Error in processing Name Registration at SP
registration-success-remote=Successful processing of Name Registration at IDP
registration-success-local=Successful processing of Name Registration at SP
federation-failed-alliance-instance=Failed to get Alliance Manager Instance
federation-failed-account-instance=Failed to get Account Manager Instance
termination-exception-unknown=Exception in Federation Termination. Unknown Error
termination-handle-invalid=Invalid Termination Handler
termination-request-processing-failed=Federation Termination failed during processTerminationRequest
termination-request-improper=Request not proper. Cannot proceed federation termination
termination-request-creation-failed=Request creation failed. Cannot proceed with federation termination
termination-failed-soap-creation=Failed to construct SOAP message from request object. Binding failed.
termination-failed-send-remote=Failed to send termination message to remote provider.
termination-failed-locally=Federation Termination failed locally. Cannot update account
termination-succeeded-locally=Federation Termination succeeded locally. User account updated
federation-redirection-failed=Redirection failed. Cannot process further
termination-handle-creation-failed=Failed to get Termination Handler
termination-soap-send-failed=Failed in sending SOAP request to remote end
termination-invalid-redirect-url=Invalid Federation Termination Service Return URL
termination-invalid-federation=Account federation for user with provider does not exist.
federation-termination-successful=Federation Termination Successful
user-not-found=User not found. Cannot proceed further. Operation terminated.
termination-failed-remotely=Federation Termination failed at remote provider
registration-request-creation-failed=Failed to create Name Registration request
logout-request-creation-failed=Creation of logout request failed
logout-request-processing-failed=Failed to process Logout request
logout-invalid-handler=Failed to get Pre/Logout handler. 
cannot-find-cert-alias=Unable to find cert alias. cannot sign/verify request
logout-request-no-provider=Logout request does not have provider specified properly. Cannot process request.
request-no-provider=Request does not contain proper provider id
federation-invalid-property-file=Property file does not contain proper entry. Cannot proceed

//Arun
//FederateAndSSO

iplanet-am-saml-service-description=SAML
a1=Artifact Name
a2=Site ID
a3=Target Specifier
a4=Artifact Timeout (seconds)
a5=Assertion Timeout (seconds)
a6=Trusted Server List
a7=Partner URLs
a8=Action Namespace to Service Name Mapping
a9=saml user
a10=saml user password
invalidRequestLogMessage=Invalid Request: Sending Response to
responseLogMessage=sending Response to
requestLogMessage=Request from IP Address
parseError=Parsing error.
parserError=Parser error.
nullInput=Null input.
wrongInput=Wrong input.
missingAttribute=Missing attribute.
oneElement=Should contain exactly one element.
requestVersionTooHigh=Request version is too hight.
requestVersionTooLow=Request version is too low.
assertionVersionTooHigh=Assertion Version is too high.
assertionVersionTooLow=Assertion Version is too low.
attributeQueryNotSupported=AttributeQuery is not supported.
queryNotSupported=This type of Query is not supported.
emptyElement=Element is empty.
moreElement=Included more than allowed number of  elements.
wrongAttrValue=Wrong attribute value.
responseVersionTooHigh=Response version is too high.
responseVersionTooLow=Response version is too high.
errorCreateArtifact=Couldn't create AssertionArtifact.
errorCreateAssertion=Couldn't create Assertion.
noDestIDMatchingArtifact=Couldn't find a destID matching input artifact.
destIDNotMatch=The destination ID doesn't match.
assertionTimeNotValid=The assertion's time is not valid.
missingSubjectConfirmation=Missing SubjectConfirmation element.
missingConfirmationMethod=Missing ConfirmationMethod element.
wrongConfirmationMethodValue=Wrong ConfirmationMethod value.
missingSubjectConfirmationData=Missing SubjectConfirmationData element.
wrongSubjectConfirmationData=Wrong SubjectConfirmationData.
wrongNameIdentifier=Wrong NameIdentifier.
cannotVerifySubject=Couldn't verify the subject.
cannotMapSubject=Couldn't map the subject to a local user
confirmationMethodInQueryNotMatch=Couldn't find an assertin matching the ConfirmationMethod in the query.
missingNameIdentifier=Missing NameIdentifier element.
missingSubject=Misssing Subject.
errorGenerateID=Couldn't generate random ID.
invalidElement=input has invalid element
invalidAttribute=input has invalid attribute
missingAttributeValue=The attribute value is empty or null. 
adviceElementNotSupported=AdviceElement is not supported.
removeListError=Failed to remove an object from the List. 
addListError=Failed to add an object to the list
removeSetError=Failed to remove an object from the Set.
addSetError=Failed to add an object to the set.
invalidAction=The action is invalid in its specified namespace.
noElement=No Elements found
missingElement=Element is missing
unsupportedCondition=Condition not supported
unsupportedElement=Element not supported
wrongNumberAttributes=Wrong number of attributes passed.
invalidNumber=Invalid integer encountered
missingBody=Message does not have body
missingRequest=Message body  does not have request
unsupportedStatement=Supported statements are not present in the RespondWith element.
noMatchingAssertion= Could not locate a matching assertion.
unequalMatch=Number of matching assertions is not same as the number of artifacts in the Query
cannotProcessRequest=Due to some fatal error on server side cannot process this request.
cannotBuildResponse=Due to some fatal error on server side cannot build the response to the request received.
localNameMissing=Local name of the SOAPElement in  the SOAPMessage passed seems to be missing
envelopeInvalid=Envelope is not formed correctly or is missing.
cannotVerifyIdentity=There is some internal error which prevents the SOAP receiver from verifiying the identity of the sender at this time.
# message for SAMLGenSourceID:
genSourceIDUsage=java SAMLGenSourceID <identificationURL>
nullSourceID=Could not generate the source ID
wrongSourceIDLength=Wrong SourceID length
wrongDateFormat=Wrong Date format
missingStatement=Assertion does  not have any statementts in it.
mismatchRespondWith=Assertion does not meet the RespondWith criteria in the received Request.
mismatchSourceID=SourceID of the artifacts sent in the query do not match.
mismatchDest=Matching assertions found are not meant for this requestor.
missingTargetHost=Failed to get the host name of the target URL
hostAddressError=Partner's SAML-Aware host is unknown
nullSSOToken=SSOToken is null
invalidSSOToken=SSOToken is invalid
SSOTokenException=SSOException is thrown.
wrongAuthType=wrong Authentication type 
wrongConfigBasicAuth=wrong configuration for basic authentication
illegalFormatSOAPUrl=illegal format for SOAP Receiver URL
sourceidDifferent=different source id contained in the multiple artifacts
assertionArtifactError=failed to construct AssertionArtifact
openSOAPConnError=Failed to open SOAPConnection 
failedLocateSOAPUrl=Failed to locate SOAP Receiver Url using source id 
wrongConfigPartnerUrl=wrong configuration of partner's url
failedCreateURLEndpoint= failed to create URLEndpoint
noReplyfromSOAPReceiver= there is no reply from SOAP Receiver
missingSOAPEnvTag=SOAEnv tag is missing
wrongSOAPEnvTag=SOAPEnv tag is wrong
missingSOAPBody=SOAPBody is missing
missingChildTagName=missing the child tag name
wrongSOAPBody=SOAP body does not contain either SOAP Fault or SAML Response
wrongSOAPElement=wrong SOAP Element
noSAMLResponse=missing SAML response in SOAP message
errorSAMLStatusCode=Exception in getting SAML status code
wrongNumberAssertions=Assertions in SAML response not equal to artifacts in SAML request
unknownHost=unknown host exception thrown in AssertionHandler
noStatement=no statement contained in SAML assertion
nullSubjectConfirmationData=Subject confirmation data is null
nullsubjectConfirmationMethod=Subject confirmation method is null
misMatchAssertion=returned assertions mismatch the requested artifacts
noSSOAssertion=does not contain a valid SSO Assertion
redirectTo=Redirect to 
artifactinSOAPRequest=Artifact in SOAP Request 
SOAPReceiverURL=SAML SOAPReceiver URL is 
Artifact=Artifact 
sendingSAMLRequest=Sending SOAP Message is  
repliedSOAPMessage=Replied SOAP Message is 
accessGranted=Access to target URL is granted.
targetForbidden=Target site is forbidden.
failCreateURLEndpoint=Failed in creating SOAP URLEndpoint
noAssertioninResponse=No Assertion in SAML response
URLNotFoundException=URLNotFoundException
illegalNamingService=Illegal naming service name
missingTargetSite=The target site is missing from the URL.
nullInputParameter=The input parameter is null. 
untrustedSite=Received Request from an untrusted site IP Address:
misconfigurationError=There is a misconfiguration in the data
soapFaultError=There was a fatal error forming the soap fault element
missingSOAPMessageFactory=Missing SOAP Message factory.
cannotDetermineIPAddress=Cannot determine the IP Address of the server in the SAMLUrl set up.
missingSAMLURL=SAMLUrl is missing in the configuration.
oneTarget=Assertion created for the Artifact should only contain one target.
missingTarget=Target is missing in the configuration.
wrongAssertion=This Assertion is not created for this local host.
failAudienceRestrictionCondition=Failed in AudienceRestrictionCondition
assertionCreated=Assertion created
errorEncodeResponse=Couldn't encode the SAMLResponse
errorDecodeResponse=Couldn't decode the SAMLResponse
missingSAMLResponse=The SAMLResponse is missing from the HttpRequest
errorObtainResponse=Couldn't obtain the Response from the HttpRequest
invalidResponse=The Response is invalid
InvalidResponse=The Response is invalid
invalidAssertion=The Assertion is invalid
SAMLResponse=The encoded SAMLResponse is 
mismatchAuthTypeandProtocol=AuthType and the protocol (based on SOAPUrl) do not match.

invalidAuthnRequest=AuthnRequest is not valid
invalidAuthnResponse=AuthnResponse is not valid

missingAuthnRequest=Can't find AuthnResuest message
signatureVerificationFailed=Signature verification failed
requestProcessingFailed=AuthnRequest processing failed
failGenerateSSOToken=Failed to generate SSOToken
SSOfailed=Single Sign-On failed
noTrust=Provider is not trusted
invalidRequestId=Invalid RequestID
Exception=Exception occured
sendFailed=Send Failed
AuthnRequestProcessingFailed=AuthnRequest Processing Failed at IDP
noCommonDomainMetadata=Common Domain Service Information not found
targetURL=Target URL is
invalidSOAPResponse=SOAPResponse is Invalid
missingResponse=SAML Response is missing
AccountFederationFailed=Account Federation Failed
SingleSignOnFailed=SingleSignOnFailed
missingAuthnResponse=AuthnResponse is missing
invalidInput=The input is invalid
ExceptionOccured=Exception occured
invalidSource=The source is invalid
missingArtifact=The artifact is missing
invalidRequest=The request is invalid
signFailed=Message signing  failed
nullEntry=Entry is null
invalidAlgorithm=The algorithm is invalid
# KeyStore
internalError=Internal Error

alreadySigned=Request already Signed
unableToReturnToSource=Unable to return back to source of request
notLibertyEnabled=Liberty is not enabled. Cannot process request
aliasNotFound=Meta Alias not found in the request. Cannot determine Hosted Provider
failed-reading-hosted-descriptor=Unable to determine hosted provider from metaAlias
logout-invalid-provider=Invalid Provider. Cannot process logout.
logout-invalid-signature=Invalid signature on logout request. Cannot proceed.
failedToReadDataStore=Unable to read from data store.
termination-invalid-provider=Invalid Provider. Cannot process federation termination.
cannotFindCertAlias=Unable to find cert alias

unknownLength=Unknown content length in HttpServletRequest
largeContentLength=Content length of the SOAP request is too large. 
nullDiscoveryOffering=No Discovery Service Offering
nullRequestID=Null Request ID
registration-request-improper=Improper Registration Request
nullProviderID= Null Provider ID
